Уязвимость в NFSv4 в ядре Linux

Дата публикации:
26.05.2009
Дата изменения:
13.07.2009
Всего просмотров:
2019
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Linux Kernel 2.6.x
Уязвимые версии: Linux kernel 2.6.x

Описание:
Уязвимость позволяет локальному пользователю обойти некоторые ограничения безопасности.

Уязвимость существует из-за некорректной проверки привилегий "MAY_EXEC" в функции "nfs_permission()" в файле fs/nfs/dir.c. Злоумышленник может выполнить произвольные сценарии на NFSv4 разделе без надлежащих привилегий. Для успешной эксплуатации уязвимости сервер должен поддерживать atomic open.

URL производителя: www.kernel.org

Решение: Установите последнюю версию 2.6.30 с сайта производителя.

Журнал изменений:

13.07.2009
Изменена секция «Решение».

Ссылки: http://article.gmane.org/gmane.linux.nfs/26592
http://linux-nfs.org/pipermail/nfsv4/2006-November/005313.html
http://bugzilla.linux-nfs.org/show_bug.cgi?id=131

или введите имя

CAPTCHA